Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I know it's a basic question, but a lot of the information out there is outdated on stack overflow. When I used the suggest apt-get command, I could only installed python3.2.3. And when I finally installed python 3.3.4 manually, I am missing the zlib module. This entirely is really frustrating me, precisely because it's seem so basic.

I would really appreciated if someone could point me out an up to date guide or tell me how to install the lastest python 3.3.4 in the correct directory with all the right module.

Thank you

share|improve this question

2 Answers 2

The very simple way is to install with Ubuntu Software Center. It will automatically setup everything for you.

Open Ubuntu Software Center > Type python on search bar > Scroll down.. you will find python(v3.3) > Click More Info > Click Install

enter image description here

Now Open Terminal ctrl + alt + t

Type python3 > Press Enter > You should see the version 3.3.2+ there. Happy coding. :)

share|improve this answer
    
I am running ubuntu 12.04 lts, python3.3 doesn't show up for me, only python 3.2. I guess I am just stuck with that –  user252046 Feb 25 at 16:53
    
Seems like your problem -- askubuntu.com/a/316592/148826 –  NewBiL Feb 26 at 2:21

There is PPA for Trusty. You can use it on Saucy, but I don't know will it work on Precise or not. You can enable it by these commands:

sudo add-apt-repository ppa:ubuntu-toolchain-r/python3
sudo sed -i 's/precise/trusty/' /etc/apt/sources.list.d/ubuntu-toolchain-r-python3-precise.list
sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get install python3.3
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.